List Webhook Deliveries

GET
/api/v1/webhooks/deliveries

List webhook delivery logs for a tenant

Authorization

headerX-Api-Key<token>

API key in format: sti_env_prefix_secret

Query Parameters

pageSize?integer

Default 20, max 100

Range1 <= value <= 100
Default20
pageToken?string

Pass next_page_token from a prior response

status?string

Delivery status

Value in"PENDING""PROCESSING""RETRYING""SUCCESS""FAILED"
eventType?string
subscriptionId?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

Default Response

application/json
  1. response
deliveries*array<>
page*
Example Request
curl -X GET 'https://api.sandbox.stables.money/api/v1/webhooks/deliveries'
Example Response200
{  "deliveries": [    {      "deliveryId": "73dc828d-801d-4d29-b7e4-e046662a5901",      "subscriptionId": "d079718b-ff63-45dd-947b-4950c023750f",      "subscriptionName": "string",      "subscriptionUrl": "string",      "eventType": "string",      "status": "PENDING",      "attemptCount": -9007199254740991,      "lastAttemptAt": "2019-08-24T14:15:22Z",      "nextRetryAt": "2019-08-24T14:15:22Z",      "responseCode": -9007199254740991,      "responseBody": "string",      "createdAt": "2019-08-24T14:15:22Z"    }  ],  "page": {    "nextPageToken": "string",    "total": -9007199254740991  }}

The first place to look when your endpoint is not receiving events: each attempt shows the HTTP status your endpoint returned and its retry state.